/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 25.02.2004
 */
package at.spardat.properties;

import java.util.HashMap;
import java.util.Map;

/**
 * Manages a set of property attributes
 * 
 * @author Martin Kahr
 */
public class PropertyAttributes {
	private Map attributes;
	
	public PropertyAttributes() {
		this.attributes = new HashMap();
	}
	
	/**	
	 * @param attrName
	 * @return the attribute with the given attribute name or null if the attribute
	 * does not exist.
	 */
	public PropertyAttribute getAttribute(String attrName) {
		return (PropertyAttribute)attributes.get(attrName);
	}
	public PropertyAttribute getOrCreateAttribute(String attrName) {
		PropertyAttribute attr = getAttribute(attrName);
		if (attr == null) {
			attr = new PropertyAttribute(attrName);
			attributes.put(attrName, attr);
		}
		return attr;
	}	
}
