/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 23.02.2004
 */
package at.spardat.properties;

/**
 * abstract base class for all exceptions of this package
 * 
 * @author Martin Kahr
 */
public abstract class PropertyException extends Exception {
	private Exception targetException;
	
	public PropertyException(String message) {
		super(message);
	}

	public PropertyException(String message, Exception e) {
		super(message);
		this.targetException = e;
	}
	
	public Exception getTargetException() {
		return targetException;
	}
	
	public String getMessage() {
		if (targetException!=null)
			return super.getMessage() + " (" + targetException.getMessage() + ")";
		
		return super.getMessage();
	}

}
