/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 17.08.2004
 */
package at.spardat.properties;

/**
 * this exception is thrown if the property system was unable
 * to correctly initialize
 * 
 * @author s2867
 */
public class PropertyInitException extends RuntimeException {
	private Exception targetException;
	
	public PropertyInitException(String message, Exception e) {
		super(message);
		this.targetException = e;
	}
	
	public Exception getTargetException() {
		return targetException;
	}
	
	public String getMessage() {
		if (targetException!=null)
			return super.getMessage() + " (" + targetException + ")";
		return super.getMessage();
	}
}
