/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 23.02.2004
 */
package at.spardat.properties;

/**
 * this exception signals the access to a missing property 
 * 
 * @author Martin Kahr
 */
public class PropertyUnknownException extends PropertyException {
	private String propertyKey;
	
	public PropertyUnknownException(String propertyKey) {
		this("Unknown property with key '" + propertyKey + "'", propertyKey);
	}
	
	public PropertyUnknownException(String msg, String propertyKey) {
		super(msg);
		this.propertyKey = propertyKey;
	}
	
	
	public String getPropertyKey() {
		return propertyKey;
	}
}
