/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 25.02.2004
 */
package at.spardat.properties.processor;

import at.spardat.properties.*;
import at.spardat.properties.Property;
import at.spardat.properties.PropertyData;
import at.spardat.properties.PropertyException;

/**
 * this processor manages "@praefix" commands
 * 
 * @author Martin Kahr
 */
public class PostfixProcessor extends AbstractPropertyProcessor {
	
    private static final String POSTIFX_IDENTIFER = "@@";
	
	private String 		propertyPostfix;
	private PropertyAttribute currentAttribute;
	/**
	 * @see at.spardat.properties.AbstractPropertyProcessor#doProcessProperty(at.spardat.properties.PropertyData, at.spardat.properties.Property)
	 */
	protected boolean doProcessProperty(PropertyData data, Property property) throws PropertyException {
		propertyPostfix = null;
		currentAttribute = null;
		int ende = property.getValue().indexOf(POSTIFX_IDENTIFER);
		if (ende >0){
			propertyPostfix = property.getValue().substring(ende+POSTIFX_IDENTIFER.length());
			property.setValue(property.getValue().substring(0,ende));
			currentAttribute      = data.getAttributes().getOrCreateAttribute(property.getKey());
			currentAttribute.addPropertyKey(propertyPostfix,property.getKey());
		}else{
			propertyPostfix = null;
		}
		return true;
	}
	


}
