/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 25.02.2004
 */
package at.spardat.properties.processor;

import at.spardat.properties.*;
import at.spardat.properties.Property;
import at.spardat.properties.PropertyData;
import at.spardat.properties.PropertyException;

/**
 * this processor manages "@praefix" commands
 * 
 * @author Martin Kahr
 */
public class PraefixProcessor extends AbstractPropertyProcessor {
	private String 		propertyPraefix;

	/**
	 * @see at.spardat.properties.AbstractPropertyProcessor#doProcessProperty(at.spardat.properties.PropertyData, at.spardat.properties.Property)
	 */
	protected boolean doProcessProperty(PropertyData data, Property property) throws PropertyException {
		if (property.getKey().startsWith("@praefix")) {
			if (property.getValue().length()>0) {
				propertyPraefix = property.getValue().toString() + ".";
			} else {			
				propertyPraefix = null;	
			}
			return false;
		}
		
		if (propertyPraefix != null) {
			if (property.getKey().startsWith("@")==false) {		
				property.setKey(propertyPraefix + property.getKey());
			} else {
				String key = property.getKey();
				int idx = key.lastIndexOf('?');
				if (idx>0) {
					String propKey = key.substring(idx+1);
					key = key.substring(0, idx+1) + propertyPraefix + propKey;
					property.setKey(key);
				}
			}
		}
		
		return true;
	}
	
	
}
